
% some definitions for listings, FreeFem, Matlab, ...

\newcommand{\ListingInput}[2]{%
  \lstinputlisting[caption={#2}]{#1}
}

\lstnewenvironment{Listing}{}{%
\csname lst@SetFirstLabel\endcsname}
{\csname lst@SaveFirstLabel\endcsname}


\lstdefinelanguage{FreeFEM++}%
   {morekeywords={border,label,savemesh,mesh,buildmesh,plot,%
         cos,sin,exp,real,int,func,string,%
	 wait,ps},%
    sensitive=false,%
    morecomment=[l]//%
   }[keywords, comments]%

\newcommand{\MonFreeFEM}{
   \lstset{language=FreeFEM++,
        %frame=trbl,
	texcl=true,
	breaklines=true,
        basicstyle=\small,
        keywordstyle=\bfseries,
        stringstyle=\ttfamily,
        numberstyle=\tiny,
        stepnumber=1,
        numbersep=5pt,
	firstnumber=1,
        frame=bt}
}

\newcommand{\MonFreeFEMNonumber}{
   \lstset{language=FreeFEM++,
        %frame=trbl,
	texcl=true,
	breaklines=true,
        basicstyle=\small,
        keywordstyle=\bfseries,
        stringstyle=\ttfamily,
        numberstyle=\tiny,
        stepnumber=1,
        numbersep=5pt,
	firstnumber=1,
        numbers=none,
        frame=bt}
}


\newcommand{\MonMatlabNonumber}{
\lstset{language=MATLAB,
        basicstyle=\small,
        keywordstyle=\bfseries,
        stringstyle=\ttfamily,
        numberstyle=\tiny,
        numbers=none,
       frame=bt
        }
}

\newcommand{\MonMatlab}{
\lstset{language=MATLAB,
        basicstyle=\small,
        keywordstyle=\bfseries,
        stringstyle=\ttfamily,
        numberstyle=\tiny,
        numbers=left,
       frame=bt
        }
}

\newcommand{\CText}[1]{{\MonC\lstinline{#1}}}
